/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.fineract.infrastructure.bulkimport.constants;

public final class SavingsConstants {

    private SavingsConstants() {

    }

    public static final int OFFICE_NAME_COL = 0;
    public static final int SAVINGS_TYPE_COL = 1;
    public static final int CLIENT_NAME_COL = 2;
    public static final int PRODUCT_COL = 3;
    public static final int FIELD_OFFICER_NAME_COL = 4;
    public static final int SUBMITTED_ON_DATE_COL = 5;
    public static final int APPROVED_DATE_COL = 6;
    public static final int ACTIVATION_DATE_COL = 7;
    public static final int CURRENCY_COL = 8;
    public static final int DECIMAL_PLACES_COL = 9;
    public static final int IN_MULTIPLES_OF_COL = 10;
    public static final int NOMINAL_ANNUAL_INTEREST_RATE_COL = 11;
    public static final int INTEREST_COMPOUNDING_PERIOD_COL = 12;
    public static final int INTEREST_POSTING_PERIOD_COL = 13;
    public static final int INTEREST_CALCULATION_COL = 14;
    public static final int INTEREST_CALCULATION_DAYS_IN_YEAR_COL = 15;
    public static final int MIN_OPENING_BALANCE_COL = 16;
    public static final int LOCKIN_PERIOD_COL = 17;
    public static final int LOCKIN_PERIOD_FREQUENCY_COL = 18;
    public static final int APPLY_WITHDRAWAL_FEE_FOR_TRANSFERS = 19;
    public static final int ALLOW_OVER_DRAFT_COL = 20;
    public static final int OVER_DRAFT_LIMIT_COL = 21;
    public static final int EXTERNAL_ID_COL = 22;
    public static final int STATUS_COL = 23;
    public static final int SAVINGS_ID_COL = 24;
    public static final int FAILURE_REPORT_COL = 25;
    public static final int LOOKUP_CLIENT_NAME_COL = 31;
    public static final int LOOKUP_ACTIVATION_DATE_COL = 32;
    public static final int CHARGE_ID_1 = 34;
    public static final int CHARGE_AMOUNT_1 = 35;
    public static final int CHARGE_DUE_DATE_1 = 36;
    public static final int CHARGE_ID_2 = 37;
    public static final int CHARGE_AMOUNT_2 = 38;
    public static final int CHARGE_DUE_DATE_2 = 39;
}
