/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.fineract.infrastructure.bulkimport.constants;

public final class SharedAccountsConstants {

    private SharedAccountsConstants() {

    }

    public static final int CLIENT_NAME_COL = 0;
    public static final int PRODUCT_COL = 1;
    public static final int SUBMITTED_ON_COL = 2;
    public static final int EXTERNAL_ID_COL = 3;
    public static final int CURRENCY_COL = 4;
    public static final int DECIMAL_PLACES_COL = 5;
    public static final int TOTAL_NO_SHARES_COL = 6;
    public static final int TODAYS_PRICE_COL = 7;
    public static final int CURRENCY_IN_MULTIPLES_COL = 8;
    public static final int DEFAULT_SAVINGS_AC_COL = 9;
    public static final int MINIMUM_ACTIVE_PERIOD_IN_DAYS_COL = 10;
    public static final int LOCK_IN_PERIOD_COL = 11;
    public static final int LOCK_IN_PERIOD_FREQUENCY_TYPE = 12;
    public static final int APPLICATION_DATE_COL = 13;
    public static final int ALLOW_DIVIDEND_CALCULATION_FOR_INACTIVE_CLIENTS_COL = 14;
    public static final int CHARGES_NAME_1_COL = 15;
    public static final int CHARGES_AMOUNT_1_COL = 16;
    public static final int CHARGES_NAME_2_COL = 17;
    public static final int CHARGES_AMOUNT_2_COL = 18;
    public static final int CHARGES_NAME_3_COL = 19;
    public static final int CHARGES_AMOUNT_3_COL = 20;
    public static final int STATUS_COL = 25;
}
